package com.ghy.callback;

import com.alibaba.fastjson.JSONObject;
import com.ghy.common.adapay.model.Event;
import com.ghy.payment.service.CallBackService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 退款回调
 *
 * @author HH 2022/5/30
 */
@Slf4j
@Service("refundCallbackService")
public class RefundCallbackService implements CallBackService {

    @Override
    public void onCallback(Event event) {
        log.debug("退款 callback: {}", event.toString());
    }

    @Override
    public void onResponse(JSONObject response) {
        log.debug("退款 Response: {}", response.toString());
    }

}
